Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List agent costs

GET/workspaces/{organizationId}/agent/costs
Path parameters
organizationIdstringrequired
Query parameters
agentSlugstring
sincestring
limitstring
Responses
200

Lane cost ledger — per-session compute durations

costsobject[]required
Show properties
Array of object
sessionIdstringrequired
agentSlugstring | nullrequired
issueIdstring | nullrequired
providerstring | nullrequired
effortstring | nullrequired
statusstringrequired
createdAtstringrequired
settledAtstringrequired
durationMsnumberrequired
attemptsnumberrequired
Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/agent/costs' \
  -H 'Accept: application/json'
Response
{
  "costs": [
    {
      "sessionId": "string",
      "agentSlug": "string",
      "issueId": "string",
      "provider": "string",
      "effort": "string",
      "status": "string",
      "createdAt": "string",
      "settledAt": "string",
      "durationMs": 0,
      "attempts": 0
    }
  ]
}

Was this page helpful?